{% extends 'layout.html.twig' %}

{% import 'user/_navigation.html.twig' as nav %}

{% block content %}
  <h1>{{ 'user.action.read'|trans }}</h1>

  {{ nav.breadcrumbs(entity, 'read') }}

  <div class="row expanded collapse">
    <div class="large-6 columns end">
      <table>
        <thead>
          <tr>
            <th width="30%">{{ 'common.param'|trans }}</th>
            <th>{{ 'common.value'|trans }}</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>{{ 'user.entity.id'|trans }}</td>
            <td>{{ entity.id }}</td>
          </tr>
          <tr>
            <td>{{ 'user.entity.username'|trans }}</td>
            <td>{{ entity.username }}</td>
          </tr>
          <tr>
            <td>{{ 'user.entity.enabled'|trans }}</td>
            <td>
              {% if entity.enabled %}
                <span class="label success">{{ 'user.enabled.yes'|trans }}</span>
              {% else %}
                <span class="label alert">{{ 'user.enabled.no'|trans }}</span>
              {% endif %}
            </td>
          </tr>
          <tr>
            <td>{{ 'user.entity.name'|trans }}</td>
            <td>{{ entity.name ? entity.name : '---' }}</td>
          </tr>
          <tr>
            <td>{{ 'user.entity.email'|trans }}</td>
            <td>{{ entity.email ? entity.email : '---' }}</td>
          </tr>
          <tr>
            <td>{{ 'user.entity.phone'|trans }}</td>
            <td>{{ entity.phone ? entity.phone : '---' }}</td>
          </tr>
          <tr>
            <td>{{ 'user.entity.department'|trans }}</td>
            <td>{{ entity.department ? entity.department : '---' }}</td>
          </tr>
          <tr>
            <td>{{ 'user.entity.createdAt'|trans }}</td>
            <td>{{ entity.createdAt ? entity.createdAt|date(datetime_format) : '---' }}</td>
          </tr>
          <tr>
            <td>{{ 'user.entity.updatedAt'|trans }}</td>
            <td>{{ entity.updatedAt ? entity.updatedAt|date(datetime_format) : '---' }}</td>
          </tr>
          <tr>
            <td>{{ 'user.entity.groups'|trans }}</td>
            <td>
              <ul class="no-bullet">
                {% for group in entity.groups %}
                  <li><a href="{{ path('group_read', {'id': group.id}) }}">{{ group.title|trans }}</a></li>
                {% endfor %}
                {% if entity.groups|length == 0 %}
                <li>---</li>
                {% endif %}
              </ul>
            </td>
          </tr>
          <tr>
            <td>{{ 'user.entity.roles'|trans }}</td>
            <td>
              <ul class="no-bullet">
                {% for role in entity.roles %}
                  <li>{{ role|trans|trans({}, 'roles') }}</li>
                {% endfor %}
                {% if entity.roles|length == 0 %}
                  <li>---</li>
                {% endif %}
              </ul>
            </td>
          </tr>
          <tr>
            <td>{{ 'user.entity.analysisNames'|trans }}</td>
            <td>
              <ul class="no-bullet">
                {% for name in entity.analysisNames %}
                  <li>{{ name|trans|trans({}, 'analysis') }}</li>
                {% endfor %}
                {% if entity.analysisNames|length == 0 %}
                  <li>---</li>
                {% endif %}
              </ul>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>

  {{ nav.actions(entity, {'list': true, 'update': true, 'delete': true}) }}
{% endblock %}
